# ForkHub

[![Google Play](http://developer.android.com/images/brand/en_generic_rgb_wo_60.png)](https://play.google.com/store/apps/details?id=jp.forkhub) [![F-Droid](https://f-droid.org/wiki/images/d/d3/F-Droid-button_bigger.png)](https://f-droid.org/repository/browse/?fdid=jp.forkhub)

The official [GitHub Android App](https://github.com/github/android/) hasn't been updated in a while and has been accumulating a few bugs and missing features, so I've decided to fork it and keep improving it.

I'll start by merging bug fixes that have been lying around for months, and once I'm comfortable again with the state of the app, I'd like to start adding new features.

You can see a comprehensive list of changes made to the original app in the [change log](https://github.com/jonan/ForkHub/blob/master/CHANGELOG.md).

[![Download from Google Play](https://cloud.githubusercontent.com/assets/3838734/3855877/4cf2a2dc-1eec-11e4-9634-2a1adf8f1c39.jpg)](https://play.google.com/store/apps/details?id=jp.forkhub)

Please see the [issues](https://github.com/jonan/ForkHub/issues) section to
report any bugs or feature requests and to see the list of known issues.

## Acknowledgements

This project uses the [GitHub Java API](https://github.com/eclipse/egit-github/tree/master/org.eclipse.egit.github.core)
built on top of [API v3](https://developer.github.com/v3/).

It also uses many other open source libraries such as:

* [Picasso](http://square.github.io/picasso/)
* [CodeMirror](https://github.com/codemirror/CodeMirror)
* [ViewPagerIndicator](https://github.com/JakeWharton/Android-ViewPagerIndicator)
* [RoboGuice](https://github.com/roboguice/roboguice)

These are just a few of the major dependencies, the entire list of dependencies
is listed in the [app's Gradle file](https://github.com/jonan/ForkHub/blob/master/app/build.gradle).

## Contributing

Please fork this repository and contribute back using
[pull requests](https://github.com/jonan/ForkHub/pulls).

Any contributions, large or small, major features, bug fixes, additional
language translations, unit/integration tests are welcomed and appreciated
but will be thoroughly reviewed and discussed.

## License

* [Apache Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)
